# Current package automatically included
using Test
using CuratedDatasets
using UCIData
using DataFrames
CD = CuratedDatasets

@testset "Loading and sizes" begin
    for r in eachrow(CD.MD)
        # display(r)
        @info "Dataset '$(r.name)'"
        X, y = load_dataset(Matrix, r.name) # Transpose by default
        @test size(X) == (r.d, r.n)
        X, y = load_dataset(DataFrame, r.name)
        @test size(X) == (r.n, r.d)     # n×d
        @test typeof(X) == DataFrame
    end
end
